Resource

Team Member

This model connects users and teams

The Team Member Model

Properties

  • Name
    _id
    Type
    Object ID
    Description

    ID of this object

  • Name
    createdAt
    Type
    Date
    Description

    Date and Time when the object was created.

  • Name
    updatedAt
    Type
    Date
    Description

    Date and Time when the object was updated.

  • Name
    team
    Type
    Team
    Description

    Team this permission belongs in.

  • Name
    teamId
    Type
    Object ID
    Description

    ID of Team this user belongs to.

  • Name
    project
    Type
    Project
    Description

    Relation to Project Resource in which this object belongs

  • Name
    projectId
    Type
    Object IDRequired
    Description

    ID of your Project in which this object belongs

  • Name
    user
    Type
    User
    Description

    User who belongs to this team.

  • Name
    userId
    Type
    Object IDRequired
    Description

    ID of User who belongs to this team

  • Name
    hasAcceptedInvitation
    Type
    BooleanRequired
    Description

    Has this team member accepted invitation

  • Name
    invitationAcceptedAt
    Type
    Date
    Description

    When did this team member accept invitation

GETorPOST/api/team-member/get-list

List

This endpoint allows you to retrieve a paginated list of all your Team Member. By default, a maximum of ten Team Member are shown per page.

Optional Query Params

  • limit
    number
    Number of objects to fetch. By default 10, you can increase this count up to 100
  • skip
    number
    Number of objects to skip. This can be useful in pagination

Optional Request Body

List Request

POST
/api/team-member/get-list?skip=0&limit=10
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "hasAcceptedInvitation": true,
    "projectId": true,
    "userId": true,
    "invitationAcceptedAt": true,
    "project": true
  },
  "query": {},
  "sort": {
    "createdAt": -1
  }
}

Response

{
  "count": 10,
  "limit": 10,
  "skip": 0,
  "data": [
    {
      "_id": "377e62f3-28fe-11f1-b591-3fdcef396aba",
      "hasAcceptedInvitation": true,
      "projectId": "a3f9c8e2-d4b6-4a7c-9e5f-1a2b3c4d5e6f",
      "userId": "b7e4d9f1-c3a5-4e8b-9d2f-3c4e5f6a7b8c",
      "invitationAcceptedAt": "2024-01-15T10:30:00Z",
      "project": "My Production Project"
    },
    {
      "_id": "377e62f4-28fe-11f1-b591-3fdcef396aba",
      "hasAcceptedInvitation": true,
      "projectId": "a3f9c8e2-d4b6-4a7c-9e5f-1a2b3c4d5e6f",
      "userId": "b7e4d9f1-c3a5-4e8b-9d2f-3c4e5f6a7b8c",
      "invitationAcceptedAt": "2024-01-15T10:30:00Z",
      "project": "My Production Project"
    },
    {
      "_id": "377e62f5-28fe-11f1-b591-3fdcef396aba",
      "hasAcceptedInvitation": true,
      "projectId": "a3f9c8e2-d4b6-4a7c-9e5f-1a2b3c4d5e6f",
      "userId": "b7e4d9f1-c3a5-4e8b-9d2f-3c4e5f6a7b8c",
      "invitationAcceptedAt": "2024-01-15T10:30:00Z",
      "project": "My Production Project"
    }
  ]
}
GETorPOST/api/team-member/:id/get-item

Get item by ID

This endpoint allows you to retrieve Team Member by ID.

  • id
    text
    ID of the Object

Optional Request Body

Get Item Request

POST
/api/team-member/:id/get-item
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "hasAcceptedInvitation": true,
    "projectId": true,
    "userId": true,
    "invitationAcceptedAt": true,
    "project": true
  }
}

Response

{
  "_id": "377e62f3-28fe-11f1-b591-3fdcef396aba",
  "hasAcceptedInvitation": true,
  "projectId": "a3f9c8e2-d4b6-4a7c-9e5f-1a2b3c4d5e6f",
  "userId": "b7e4d9f1-c3a5-4e8b-9d2f-3c4e5f6a7b8c",
  "invitationAcceptedAt": "2024-01-15T10:30:00Z",
  "project": "My Production Project"
}
POST/api/team-member/count

Count

This endpoint allows you to retrieve the count of all your Team Member.

Optional Request Body

Count Request

POST
/api/team-member/count
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "query": {}
}

Response

{
  "count": 107
}
POST/api/team-member

Create Team Member

This endpoint allows you to create a new object.

Create Request

POST
/api/team-member
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {
    "hasAcceptedInvitation": true,
    "projectId": "a3f9c8e2-d4b6-4a7c-9e5f-1a2b3c4d5e6f",
    "userId": "b7e4d9f1-c3a5-4e8b-9d2f-3c4e5f6a7b8c",
    "invitationAcceptedAt": "2024-01-15T10:30:00Z",
    "project": "My Production Project"
  }
}

Response

{
  "_id": "377e62f3-28fe-11f1-b591-3fdcef396aba",
  "hasAcceptedInvitation": true,
  "projectId": "a3f9c8e2-d4b6-4a7c-9e5f-1a2b3c4d5e6f",
  "userId": "b7e4d9f1-c3a5-4e8b-9d2f-3c4e5f6a7b8c",
  "invitationAcceptedAt": "2024-01-15T10:30:00Z",
  "project": "My Production Project"
}
PUT/api/team-member/:id

Update by ID

This endpoint allows you to update object by its ID.

Alternative Methods

For clients that do not support PUT requests, you can use POST or GET with the same request headers and body:

POST/api/team-member/:id/update-item
GET/api/team-member/:id/update-item

Update Request

PUT
/api/team-member/:id
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {
    "hasAcceptedInvitation": true,
    "invitationAcceptedAt": "2024-01-15T10:30:00Z"
  }
}

Response

{}
DELETE/api/team-member/:id

Delete by ID

This endpoint allows you to delete object by its ID.

Alternative Methods

For clients that do not support DELETE requests, you can use POST or GET with the same request headers and body:

POST/api/team-member/:id/delete-item
GET/api/team-member/:id/delete-item

Delete Request

DELETE
/api/team-member/:id
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY

Response

{}

Permissions

Your API Token needs permissions to create, update, read or delete this resource. If you do not have permissions to make a request a 4xx status will be sent as response.

Read Permissions

Required to read Team Member

  • Project Owner
  • Project Admin
  • Project Member
  • Read Teams
  • Logged in User

Create Permissions

Required to create Team Member

  • Project Owner
  • Project Admin
  • Project Admin
  • Create Team
  • Invite New Members

Update Permissions

Required to update Team Member

  • Project Owner
  • Invite New Members
  • Edit Team
  • Logged in User

Delete Permissions

Required to delete Team Member

  • Project Owner
  • Project Admin
  • Delete Team
  • Logged in User